

/* ------- MENU / NAVIGATION ------- */

#new-top-bar {
    position: fixed;
    z-index: 101;

    width: 100vw;
    height: 10vh;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-content: center;

    background-color: white;
    /* border-bottom: 1px solid lightgray; */
}

#hamburger-button-container {
    width: 10vw;
    height: 100%;
    display: grid;
    place-items: center;
    background-color: transparent;
}
    .hamburger-button {
        width: 80%;
        margin-left: 40px;
        max-width: 40px;
        height: 100%;
        max-height: 40px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: relative;
        cursor: pointer;
        transition: all 0.4s ease-in-out;
    }
    .hamburger-span {
        width: 100%;
        /* max-width: 40px; */
        height: 1px;
        background-color: black;
        transition: all 0.05s ease-in-out;
    }
    .hamburger-span::before, .hamburger-span::after {
        content:'';
        position: absolute;
        width: 100%;
        /* max-width: 40px; */
        height: 1px;
        background-color: black;
        transition: all 0.05s ease-in-out;
    }
    .hamburger-span::before {
        transform: translateY(-16px);
    }
    .hamburger-span::after {
        transform: translateY(16px);
    }

    /* hamburger animation */ 
        .hamburger-button.hamburgerTransform .hamburger-span {

            /* transform: translateX(-50px); */
            background-color: transparent;
        }
        .hamburger-button.hamburgerTransform .hamburger-span::before {
            /* transform: rotate(45deg) translate(35px, -35px); */
            transform: rotate(45deg);
        }
        .hamburger-button.hamburgerTransform .hamburger-span::after {
            /* transform: rotate(-45deg) translate(35px, 35px); */
            transform: rotate(-45deg);
        }

#headline-container {
    width: 90vw;
    height: 100%;
    background-color: transparent;
    display: grid;
    place-items: center;
    padding: 0 20vw 0 10vw;
}
    .headline {
        font-size: 1.6rem;
        font-weight: 700;
        color: #0e2f52;
        font-family: 'Montserrat', sans-serif;
        position: relative;
    } 

/* OPENING THE FULLSCREEN NAV */ 

#fullscreen-nav-container {
    width: 100vw;
    height: 0vh;
    background-color: white;

    display: grid;
    position: fixed;
    top: 10vh;
    left: 0;
    transition: 400ms;

    z-index: 101;
    overflow: hidden;
    border-bottom: solid 1px lightgray;
}
    #fullscreen-nav-link-container {
        justify-self: center;
        width: 100vw;
        height: 90vh; 
        padding: 2rem 10vw 4rem 10vw;
        overflow-y: scroll;
        overflow-x: visible;
        
        display: grid;
        gap: 0 4vw;
        place-items: start;
        grid-template-columns: repeat(auto-fit, minmax(330px, 1fr));
        grid-auto-rows: minmax(1fr, 1fr);
        justify-content: space-between;
        align-content: start;
    } 
        .menu-list {
            /* max-width: 350px; 
            float: left; */
            margin: 1rem 0;
        }
        .menu-list-item {
        }
        #inflation {
            grid-row: 1/span 2;
        }
        #ovrigt {
            padding-bottom: 2rem;
        }

    .fullscreen-nav-link  {
        width: 100%;
        font-size: 1rem;
        font-weight: 300;
        color: rgb(87, 87, 87);
        font-family: 'Montserrat', sans-serif;

        padding-left: 4px;
        padding-right: 6px;
    }
    .fullscreen-nav-link:hover  {
        font-weight: 600;
        color: rgb(39, 39, 39);
    }

@media screen and (min-width: 768px){
    .headline {
        font-size: 2.3rem;
    }
}

@media screen and (min-width: 1024px){
    .headline {
        font-size: 2.6rem;
    }
}


/* ------------ end of NAV ------------------- */